namespace BO.ProcessServer.Business.StatisticCounters
{
    internal abstract class BaseCounter
    {
        public string Name { get; }

        public BaseCounter(string name)
        {
            Name = name;
        }

        public abstract object GetValue();

        public abstract void Reset();
    }
}
